Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231367 - Can not enable NSS FIPS mode
Summary: Can not enable NSS FIPS mode
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nss
Version: 5.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
: ---
Assignee: Kai Engert (:kaie) (inactive account)
QA Contact:
URL:
Whiteboard: RHEL5.0NACK
Depends On: 230546
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-07 21:32 UTC by Kai Engert (:kaie) (inactive account)
Modified: 2007-11-30 22:07 UTC (History)
5 users (show)

Fixed In Version: nss-3.11.5-3.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-18 22:02:30 UTC


Attachments (Terms of Use)

Description Kai Engert (:kaie) (inactive account) 2007-03-07 21:32:48 UTC
This bug is targetted to RHEL 5.1

This bug is a clone of bug 230546.
Please read it to learn about the RHEL 5.0 day0 fix.

(Please read Fedora bug 230545 for the full technical description of the problem.)

Version-Release number of selected component (if applicable):
nss-3.11.5-1.el5


The current proposal is to apply the same fix to RHEL 5.1

Comment 2 Chandrasekar Kannan 2007-03-20 11:08:03 UTC
per the last bug meeting, we decided this would be targeted in the rhel 5.1
release. 

Comment 3 Bob Lord 2007-03-28 17:40:20 UTC
This bug was proposed for RHEL 5, but wasn't resolved in time.
    devel_ack+ for RHEL 5.1.

Comment 4 Kai Engert (:kaie) (inactive account) 2007-04-18 00:26:49 UTC
The 5.0 zero day fix was checked in to a separate branch in cvs (subdir RHEL-5_0-Z )

After talking to mitr on IRC, I learned that RHEL 5.1 is already set to include
the package we had included for 5.0 zero day.

This seems to confirm it:

$ brew latest-pkg dist-5E-U1 nss
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
nss-3.11.5-3.el5                          RHEL-5.0-Z            kengert


I conclude: We don't need to build a new package for RHEL 5.1.

All I need to do is: Synch/check in the code from 5.0 zero day branch over to
the main RHEL-5 subdir to ensure it will be in future package updates.



Note You need to log in before you can comment on or make changes to this bug.